000010*@M   MAIN
000020*$CALL
000030 IDENTIFICATION DIVISION.
000040 PROGRAM-ID. TESTMAIN.
000050 DATE-COMPILED.
000060*
000070* ------------------------: GS General-purpose Test Program.
000080*
000090*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000100 ENVIRONMENT DIVISION.
000110*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000120 CONFIGURATION SECTION.
000130 SOURCE-COMPUTER. IBM-PC.
000140 OBJECT-COMPUTER. IBM-PC.
000150*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000160 DATA DIVISION.
000170*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000180 WORKING-STORAGE SECTION.
000190 01  V--VERSION-LEVEL                 PIC 9(3) VALUE 1.
000200*
000210         COPY TVMAIN.
000220*
000230* ------------------------: Copy the panel to be tested below.
000240*
000250         COPY ATV.
000260*
000270* ------------------------: Working field for loading fields
000280*
000290 01  WS-COUNTER                       PIC 99 VALUE 0.
000300*
000310*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000320 PROCEDURE DIVISION.
000330*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000340*
000350     PERFORM 0101-DISPLAY-MAIN-PANEL.
000360     PERFORM 0103-LOAD-TREEVIEW.
000370*
000380* ------------------------: Display the test panel until
000390*                         : the user wants to leave.
000400*
000410     PERFORM WITH TEST AFTER
000420           UNTIL ATV-EVENT-CLOSE-WINDOW
000430           OR ATV-EVENT-CLOSE-AND-STOP
000440           OR ATV-FILE-EXIT
000450*
000460* ------------------------: Display the test panel.
000470*
000480       PERFORM 0102-DISPLAY-PANEL
000490*
000500     END-PERFORM.
000510*
000520* ------------------------: Finished, close the main window
000530*                         : before you STOP RUN.
000540*
000550     SET TVMAIN-DO-CLOSE TO TRUE.
000560     CALL 'GS' USING TVMAIN-1
000570                     TVMAIN-2
000580                     TVMAIN-3
000590                     TVMAIN-4.
000600     STOP RUN.
000610*
000620*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
000630 0100-GS-UTILITY SECTION.
000640*
000650 0101-DISPLAY-MAIN-PANEL.
000660*
000670     CALL 'GS' USING TVMAIN-1
000680                     TVMAIN-2
000690                     TVMAIN-3
000700                     TVMAIN-4.
000710* -====-
000720 0102-DISPLAY-PANEL.
000730*                         :---------------------------------------
000740* ------------------------: General-purpose call to display
000750*                         : this window.
000760*                         :---------------------------------------
000770*
000780     CALL 'GS' USING ATV-1
000790                     ATV-2
000800                     ATV-3
000810                     ATV-4.
000820* -====-
000830 0103-LOAD-TREEVIEW.
000840*                         :---------------------------------------
000850* ------------------------: Ditto for a treeview, except you
000860*                         : also specify the level of the entry
000870*                         : in the tree.
000880*                         :---------------------------------------
000890*
000900     MOVE 0 TO WS-COUNTER.
000910*
000920     ADD 1 TO WS-COUNTER.
000930     SET TREEVIEW-IDX TO WS-COUNTER.
000940*
000950     MOVE 0 TO TREEVIEW-LEVEL (TREEVIEW-IDX)
000960     STRING 'Level 0, Item ' WS-COUNTER DELIMITED SIZE
000970          INTO TREEVIEW-VAL (TREEVIEW-IDX)
000980*
000990     ADD 1 TO WS-COUNTER.
001000     SET TREEVIEW-IDX TO WS-COUNTER.
001010     MOVE 1 TO TREEVIEW-LEVEL (TREEVIEW-IDX)
001020     STRING 'Level 1, Item ' WS-COUNTER DELIMITED SIZE
001030          INTO TREEVIEW-VAL (TREEVIEW-IDX)
001040*
001050     ADD 1 TO WS-COUNTER.
001060     SET TREEVIEW-IDX TO WS-COUNTER.
001070     MOVE 1 TO TREEVIEW-LEVEL (TREEVIEW-IDX)
001080     STRING 'Level 1, Item ' WS-COUNTER DELIMITED SIZE
001090          INTO TREEVIEW-VAL (TREEVIEW-IDX)
001100*
001110     ADD 1 TO WS-COUNTER.
001120     SET TREEVIEW-IDX TO WS-COUNTER.
001130     MOVE 2 TO TREEVIEW-LEVEL (TREEVIEW-IDX)
001140     STRING 'Level 2, Item ' WS-COUNTER DELIMITED SIZE
001150          INTO TREEVIEW-VAL (TREEVIEW-IDX)
001160*
001170     ADD 1 TO WS-COUNTER.
001180     SET TREEVIEW-IDX TO WS-COUNTER.
001190     MOVE 2 TO TREEVIEW-LEVEL (TREEVIEW-IDX)
001200     STRING 'Level 2, Item ' WS-COUNTER DELIMITED SIZE
001210          INTO TREEVIEW-VAL (TREEVIEW-IDX)
001220*
001230     ADD 1 TO WS-COUNTER.
001240     SET TREEVIEW-IDX TO WS-COUNTER.
001250     MOVE 3 TO TREEVIEW-LEVEL (TREEVIEW-IDX)
001260     STRING 'Level 3, Item ' WS-COUNTER DELIMITED SIZE
001270          INTO TREEVIEW-VAL (TREEVIEW-IDX)
001280*
001290     ADD 1 TO WS-COUNTER.
001300     SET TREEVIEW-IDX TO WS-COUNTER.
001310     MOVE 0 TO TREEVIEW-LEVEL (TREEVIEW-IDX)
001320     STRING 'Level 0, Item ' WS-COUNTER DELIMITED SIZE
001330          INTO TREEVIEW-VAL (TREEVIEW-IDX)
001340*
001350     ADD 1 TO WS-COUNTER.
001360     SET TREEVIEW-IDX TO WS-COUNTER.
001370     MOVE 1 TO TREEVIEW-LEVEL (TREEVIEW-IDX)
001380     STRING 'Level 1, Item ' WS-COUNTER DELIMITED SIZE
001390          INTO TREEVIEW-VAL (TREEVIEW-IDX)
001400*
001410     ADD 1 TO WS-COUNTER.
001420     SET TREEVIEW-IDX TO WS-COUNTER.
001430     MOVE 2 TO TREEVIEW-LEVEL (TREEVIEW-IDX)
001440     STRING 'Level 2, Item ' WS-COUNTER DELIMITED SIZE
001450          INTO TREEVIEW-VAL (TREEVIEW-IDX).
001460*
001470* ------------------------: Set the selected item like this
001480*
001490     SET TREEVIEW-SELECTED (3) TO TRUE.
